--
-- ### Cast check for decimal values
--

drop if exists table t1;

create table t1 ( a decimal(4));

insert into t1 values ( 3.451 );
insert into t1 values ( 0.451 );

select 4 + a from t1;
select a + 4 from t1;
select 4 - a from t1;
select a - 4 from t1;
select 4 * a from t1;
select a * 4 from t1;
select 4 / a from t1;
select a / 4 from t1;



